CUDA Driver API (PDF) - v9.0.176 (older) - Last updated September 2, 2017 - Send Feedback

## 4.3. Initialization

This section describes the initialization functions of the low-level CUDA driver application programming interface.

### Functions

CUresult cuInit ( unsigned int Flags )
  Initialize the CUDA driver API.

### Functions

CUresult cuInit ( unsigned int Flags )
  Initialize the CUDA driver API.

  ###### Parameters

  `Flags`
    - Initialization flag for CUDA.

  ###### Returns

  CUDA_SUCCESS, CUDA_ERROR_INVALID_VALUE, CUDA_ERROR_INVALID_DEVICE

  ###### Description

  Initializes the driver API and must be called before any other function from the driver API. Currently, the `Flags` parameter must be 0. If cuInit() has not been called, any function from the driver API will return CUDA_ERROR_NOT_INITIALIZED.

  Note:

  Note that this function may also return error codes from previous, asynchronous launches.